Package org.apache.lucene.sandbox.facet.cutters.ranges

# Class DoubleRangeFacetCutter

java.lang.Object
org.apache.lucene.sandbox.facet.cutters.ranges.DoubleRangeFacetCutter

All Implemented Interfaces:
  `FacetCutter`

public final class DoubleRangeFacetCutter extends Object implements FacetCutter
`FacetCutter` for ranges of double values.

Based on `DoubleRangeFacetCounts`, this class translates double ranges to long ranges using `NumericUtils.doubleToSortableLong(double)` and delegates faceting work to a `LongRangeFacetCutter`.

WARNING: This API is experimental and might change in incompatible ways in the next release.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DoubleRangeFacetCutter(MultiDoubleValuesSource multiDoubleValuesSource, DoubleRange[] doubleRanges)`
  Constructor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `LeafFacetCutter`
  `createLeafCutter(LeafReaderContext context)`
  Get cutter for the leaf.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.apache.lucene.sandbox.facet.cutters.FacetCutter

  `getChildrenOrds, getOrdinalsToRollup`

- ## Constructor Details

  - ### DoubleRangeFacetCutter

    public DoubleRangeFacetCutter(MultiDoubleValuesSource multiDoubleValuesSource, DoubleRange[] doubleRanges)
    Constructor.

- ## Method Details

  - ### createLeafCutter

    public LeafFacetCutter createLeafCutter(LeafReaderContext context) throws IOException
    Description copied from interface: `FacetCutter`
    Get cutter for the leaf.
    Specified by:
      `createLeafCutter` in interface `FacetCutter`
    Throws:
      `IOException`